## librttopo 1.1.0

=== docker/build-test/Makefile ===
DOCKER=docker
REGISTRY=docker.kbt.io
NAME=$(REGISTRY)/librttopo/build-test

all: debian-sid

push: debian-sid-push

debian-sid:
	$(DOCKER) build -t $(NAME):debian-sid - < Dockerfile.debian-sid

debian-sid-push:
	$(DOCKER) push $(NAME):debian-sid

## librttopo 1.0.0

=== debian/changelog ===
librttopo (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream contact to use librttopo-dev mailinglist.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 May 2016 10:33:39 +0200

librttopo (1.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * Add Other-References to upstream metadata.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 12:43:26 +0200

librttopo (1.0.0~rc2-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #823013)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Apr 2016 02:26:00 +0200

=== debian/control ===
Source: librttopo
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgeos-dev,
               libjson-c-dev,
               libpcre3-dev,
               libxml2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/librttopo.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/librttopo.git
Homepage: https://git.osgeo.org/gogs/rttopo/librttopo

Package: librttopo1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tuscany Region topology library
 The RT Topology Library exposes an API to create and manage standard
 (ISO 13249 aka SQL/MM) topologies using user-provided data stores.
 .
 The code is derived from PostGIS liblwgeom library enhanced to provide
 thread-safety, have less dependencies and be independent from PostGIS
 release cycles.
 .
 This package contains the shared library.

Package: librttopo-dev
Architecture: any
Section: libdevel
Depends: librttopo1 (= ${binary:Version}),
         ${misc:Depends},
Description: Tuscany Region topology library - Development files
 The RT Topology Library exposes an API to create and manage standard
 (ISO 13249 aka SQL/MM) topologies using user-provided data stores.
 .
 The code is derived from PostGIS liblwgeom library enhanced to provide
 thread-safety, have less dependencies and be independent from PostGIS
 release cycles.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

%:
	dh $@ \
		--with autoreconf \
		--parallel

override_dh_auto_install:
	dh_auto_install

	# Don't install .la files
	$(RM) $(CURDIR)/debian/tmp/usr/lib/*/*.la

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|librttopo)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/librttopo-$1.$2/ \
https://git.osgeo.org/gogs/rttopo/librttopo/releases \
(?:.*?/)?(?:rel|v|librttopo)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## librttopo 1.1.0~rc1

=== debian/changelog ===
librttopo (1.1.0~rc1-1~exp3) experimental; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 20:46:01 +0200

librttopo (1.1.0~rc1-1~exp2) experimental; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 13:48:02 +0200

librttopo (1.1.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update URLs for move from gogs to gitea.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update copyright-format URL to use HTTPS.
  * Mark packages as Multi-Arch: same.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jan 2018 10:12:34 +0100

librttopo (1.1.0~rc0-1~exp3) experimental; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 18:40:47 +0200

librttopo (1.1.0~rc0-1~exp2) experimental; urgency=medium

  * Override dh_autoreconf to run autogen.sh instead of `autoreconf -fi`.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2016 19:01:02 +0100

librttopo (1.1.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update email address for Sandro Santilli.
  * Update symbols for 1.1.0~rc0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Nov 2016 21:44:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                libjson-c-dev,
                libpcre3-dev,
                libxml2-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/librttopo.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/librttopo.git
-Homepage: https://git.osgeo.org/gogs/rttopo/librttopo
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/librttopo/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/librttopo.git
+Homepage: https://git.osgeo.org/gitea/rttopo/librttopo
 
 Package: librttopo1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -31,6 +32,7 @@
 
 Package: librttopo-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: librttopo1 (= ${binary:Version}),
          ${misc:Depends},
@@ -43,4 +45,3 @@
  release cycles.
  .
  This package contains the development files.
-

## librttopo 1.1.0

=== debian/changelog ===
librttopo (1.1.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Use not-installed file instead of dh_auto_install override.
  * Update watch file for gitea changes.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:11:00 +0100

librttopo (1.1.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for gitea changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop unused build dependencies.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 12:13:16 +0100

librttopo (1.1.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 18:53:59 +0100

librttopo (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jul 2019 09:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,13 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libgeos-dev,
-               libjson-c-dev,
-               libpcre3-dev,
-               libxml2-dev
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13),
+               libgeos-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/librttopo/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/librttopo.git
 Homepage: https://git.osgeo.org/gitea/rttopo/librttopo
+Rules-Requires-Root: no
 
 Package: librttopo1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|librttopo)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/librttopo-$1.$2/ \
https://git.osgeo.org/gitea/rttopo/librttopo/tags \
(?:.*?/)?(?:rel|v|librttopo)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
